org.eclipse.eef.properties.ui.api

## Class AbstractEEFSectionDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFSectionDescriptor

All Implemented Interfaces:
  IEEFSectionDescriptor

Direct Known Subclasses:
  EEFSectionDescriptor, LegacyPropertySectionItemDescriptor

    public abstract class AbstractEEFSectionDescriptor
    extends java.lang.Object
    implements IEEFSectionDescriptor

An abstract implementation of a section descriptor for the tabbed property view.

Since:
  1.6.0

### Field Summary

### Fields inherited from interface org.eclipse.eef.properties.ui.api.IEEFSectionDescriptor

`ENABLES_FOR_ANY, TOP`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFSectionDescriptor(IEEFTypeMapper typeMapper)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `appliesTo(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Determines if this section applies to the selection.
`java.lang.String` `getAfterSection()` Get the section identifier below which this section is displayed.
`int` `getEnablesFor()` Get the value for section enablement which is a precise number of items selected.
`org.eclipse.jface.viewers.IFilter` `getFilter()` Get the section filter instance for this section.
`java.util.List<java.lang.String>` `getInputTypes()` Get the valid input types for this section.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.properties.ui.api.IEEFSectionDescriptor

`getId, getSectionClass, getTargetTab`

### Constructor Detail

#### AbstractEEFSectionDescriptor

    public AbstractEEFSectionDescriptor(IEEFTypeMapper typeMapper)

The constructor.

Parameters:
  `typeMapper` - The type mapper for the section

### Method Detail

#### getFilter

    public org.eclipse.jface.viewers.IFilter getFilter()

Get the section filter instance for this section. Return null if no filter for this section.

Specified by:
  `getFilter` in interface `IEEFSectionDescriptor`
Returns:
  the section filter instance.
See Also:
  `IEEFSectionDescriptor.getFilter()`

#### getInputTypes

    public java.util.List<java.lang.String> getInputTypes()

Get the valid input types for this section.

Specified by:
  `getInputTypes` in interface `IEEFSectionDescriptor`
Returns:
  the valid input types for this section.
See Also:
  `IEEFSectionDescriptor.getInputTypes()`

#### getEnablesFor

    public int getEnablesFor()

Get the value for section enablement which is a precise number of items selected. For example: enablesFor="1" enables the section only when one item is selected. If not specified, enable for any selection and return ENABLES_FOR_ANY.

Specified by:
  `getEnablesFor` in interface `IEEFSectionDescriptor`
Returns:
  the value for section enablement.
See Also:
  `IEEFSectionDescriptor.getEnablesFor()`

#### appliesTo

    public boolean appliesTo(org.eclipse.ui.IWorkbenchPart part,
                             org.eclipse.jface.viewers.ISelection selection)

Determines if this section applies to the selection.

Specified by:
  `appliesTo` in interface `IEEFSectionDescriptor`
Parameters:
  `part` - the current workbench part.
  `selection` - the selection.
Returns:
  `true` if this section applies to the current selection.
See Also:
  `IEEFSectionDescriptor.appliesTo(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### getAfterSection

    public java.lang.String getAfterSection()

Get the section identifier below which this section is displayed. `"top"` is returned if this section is the top most section or if there is one section in the tab.

Specified by:
  `getAfterSection` in interface `IEEFSectionDescriptor`
Returns:
  the section identifier.
See Also:
  `IEEFSectionDescriptor.getAfterSection()`